//*****************************************
// 	kdc_ Program ATXMega32D4
//   CPU Clock:2MHz?
//
//  AVR Studio 4 ŃvO鎞
//  Debug platform uAVR Simulator 2vɂȂ Device IԎɁ@ATxmega32D4 IׂȂ
//
//@LED:PE3  1=Light ON, 0=Light OFF
//
//  ǂȂ f[^͉Ȃ
//  kdc_ł̎Ԃv \tgfB[̒l߂B
//  g͂Qlg炢DDDDH
//
//  2017/11/23 New(TAB4)  Taishi
//*****************************************

#include	<avr/io.h>

// **********************************************************
// ********************** Soft Timer ************************
// **********************************************************

volatile unsigned int	wait_i;
volatile unsigned char	wait_us;
// ************************************
// Delay 5uS
// t: uS (max 255)
// CPU Clock:2MHz ??
// ************************************
void delay_5us(unsigned char t)
{
	unsigned char	i;

	for(i=0;i<t;i++){
		wait_us++;				// 5uS Delay
	}
}
//***************************
// Wait
//  tm : Wait Time(ms) max. 8000
//***************************
void	delay_ms(int tm)
{

	for(wait_i = 0; wait_i < tm; wait_i++){
		delay_5us(1000/5);
	}
}


//***************************
//  Main
//***************************
int main(void)
{

	PORTE.DIR = 0x08;			// PE3:Outout

	for(;;){
		PORTE.OUT = 0x08;		// PE3:High
		delay_ms(500);
		PORTE.OUT = 0x00;		// PE3:Low
		delay_ms(500);
	}

	return(1);
}
